> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metric history

> Get a list of all values for the specified metric for a given run.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/2.0/mlflow/metrics/get-history
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/metrics/get-history:
    get:
      tags:
        - MLflow experiments and runs
      description: Get a list of all values for the specified metric for a given run.
      operationId: metrics.GetHistory
      parameters:
        - description: ID of the run from which to fetch metric values. Must be provided.
          in: query
          name: run_id
          required: true
          schema:
            type: string
        - description: Name of the metric.
          in: query
          name: metric_key
          required: true
          schema:
            type: string
        - description: Token indicating the page of metric history to fetch
          in: query
          name: page_token
          required: false
          schema:
            type: string
        - description: >-
            Maximum number of logged instances of a metric for a run to return
            per call. Backend servers may restrict the value of max_results
            depending on performance requirements. Requests that do not specify
            this value will behave as non-paginated queries where all metric
            history values for a given metric within a run are returned in a
            single response.
          in: query
          name: max_results
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Metric history
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_GetMetricHistoryResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_GetMetricHistoryResponse:
      properties:
        metrics:
          description: All logged values for this metric.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Metric'
          type: array
        next_page_token:
          description: >-
            Token that can be used to issue a query for the next page of metric
            history values. A missing token indicates that no additional metrics
            are available to fetch.
          type: string
      type: object
    mlflow-proxy_Metric:
      properties:
        key:
          description: Key identifying this metric.
          type: string
        step:
          default: '0'
          description: Step at which to log the metric.
          type: integer
          format: int64
        timestamp:
          description: The timestamp at which this metric was recorded.
          oneOf:
            - format: int64
              type: integer
            - type: string
        value:
          description: Value associated with this metric.
          oneOf:
            - format: double
              type: number
            - type: string
      required:
        - key
        - value
        - step
        - timestamp
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Get quality check history](/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-model-quality-scheduled-checks-history.md)
- [Get drift check history](/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-drift-schedule-checks-history.md)
- [Get metrics timeseries](/api-reference/ai-systems/get-metrics-timeseries.md)
- [Get labels for metric and label evaluations](/api-reference/ai-systems/get-labels-for-metric-and-label-evaluations.md)
